<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="class_h_t_t_p_server" kind="class" language="C++" prot="public">
    <compoundname>HTTPServer</compoundname>
    <includes local="no">HTTP_server.hpp</includes>
      <sectiondef kind="private-attrib">
      <memberdef id="class_h_t_t_p_server_1a33679d6801aa8e2cdfb9e7d585778c43" kind="variable" mutable="no" prot="private" static="no">
        <type><ref kindref="member" refid="group__http__server__struct_1ga047ac1c7063077c58da4cc991ad3b1bf">cy_http_server_t</ref></type>
        <definition>cy_http_server_t HTTPServer::http_server_obj</definition>
        <argsstring />
        <name>http_server_obj</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" bodystart="213" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="213" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-func">
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a447813075f8c93c5a18d09b964c441f2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type />
        <definition>HTTPServer::HTTPServer</definition>
        <argsstring>(cy_network_interface_t *interface, uint16_t port, uint16_t max_connection)</argsstring>
        <name>HTTPServer</name>
        <param>
          <type>cy_network_interface_t *</type>
          <declname>interface</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>port</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>max_connection</declname>
        </param>
        <briefdescription>
<para>Non-Secure HTTP server constructor. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">interface</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to a structure with network interface type and object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">port</parametername>
</parameternamelist>
<parameterdescription>
<para>: Port number on which to listen - usually port 80 for normal HTTP </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">max_connection</parametername>
</parameternamelist>
<parameterdescription>
<para>: Maximum number of client connections that can be accepted </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="67" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a2b3c118e41b43e9b5a6b8ecc181a6c5b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type />
        <definition>HTTPServer::HTTPServer</definition>
        <argsstring>(cy_network_interface_t *interface, uint16_t port, uint16_t max_connection, cy_https_server_security_info_t *security_info)</argsstring>
        <name>HTTPServer</name>
        <param>
          <type>cy_network_interface_t *</type>
          <declname>interface</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>port</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>max_connection</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__https__server__security__info__t">cy_https_server_security_info_t</ref> *</type>
          <declname>security_info</declname>
        </param>
        <briefdescription>
<para>Secure HTTP server constructor. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">interface</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to a structure with network interface type and object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">port</parametername>
</parameternamelist>
<parameterdescription>
<para>: Port number on which to listen - usually port 443 for secure HTTP </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">max_connection</parametername>
</parameternamelist>
<parameterdescription>
<para>: Maximum number of client connection that can be accepted </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">security_info</parametername>
</parameternamelist>
<parameterdescription>
<para>: Security info containing certificate, private key and rootCA certificate </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="78" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1af09066b05417f9a9ce9f1cd8e5ad9e18" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type />
        <definition>HTTPServer::~HTTPServer</definition>
        <argsstring>()</argsstring>
        <name>~HTTPServer</name>
        <briefdescription>
<para>HTTPserver Destructor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="84" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a5f1e04f9dab07ce5a251ecd4aa822f13" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::start</definition>
        <argsstring>()</argsstring>
        <name>start</name>
        <briefdescription>
<para>Start the HTTP server. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="91" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1ae4d9963945a344e9f86e7dc74a4e9d6a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::stop</definition>
        <argsstring>()</argsstring>
        <name>stop</name>
        <briefdescription>
<para>Stop the HTTP server. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="98" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a58eb80fb7f039210cc9d7040f0008232" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::register_resource</definition>
        <argsstring>(uint8_t *url, uint8_t *mime_type, cy_url_resource_type url_resource_type, void *resource_data)</argsstring>
        <name>register_resource</name>
        <param>
          <type>uint8_t *</type>
          <declname>url</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>mime_type</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__http__server__struct_1ga32d601085911dbd59b7ecd50a6b7f584">cy_url_resource_type</ref></type>
          <declname>url_resource_type</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>resource_data</declname>
        </param>
        <briefdescription>
<para>Used to register a static resource with the HTTP server. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">url</parametername>
</parameternamelist>
<parameterdescription>
<para>: URL of the resource. Application should reserve memory for the URL. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mime_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: MIME type of the resource. Application should reserve memory for the MIME type. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">url_resource_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: Content type of the resource. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">resource_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to structure of static, dynamic or resource type.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="110" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a937e00e6f94294fcdb1aac15c1050a9a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::http_response_stream_enable_chunked_transfer</definition>
        <argsstring>(cy_http_response_stream_t *stream)</argsstring>
        <name>http_response_stream_enable_chunked_transfer</name>
        <param>
          <type><ref kindref="compound" refid="structcy__http__response__stream__t">cy_http_response_stream_t</ref> *</type>
          <declname>stream</declname>
        </param>
        <briefdescription>
<para>Enable chunked transfer encoding on the HTTP stream. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">stream</parametername>
</parameternamelist>
<parameterdescription>
<para>: HTTP stream</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="119" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a72d96603c15870cd4d8a424e7e500c14" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::http_response_stream_disable_chunked_transfer</definition>
        <argsstring>(cy_http_response_stream_t *stream)</argsstring>
        <name>http_response_stream_disable_chunked_transfer</name>
        <param>
          <type><ref kindref="compound" refid="structcy__http__response__stream__t">cy_http_response_stream_t</ref> *</type>
          <declname>stream</declname>
        </param>
        <briefdescription>
<para>Disable chunked transfer encoding on the HTTP stream. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">stream</parametername>
</parameternamelist>
<parameterdescription>
<para>: HTTP stream</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="128" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1ac16d556a72c51030a4da8b4a959dfe40" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::http_response_stream_write_header</definition>
        <argsstring>(cy_http_response_stream_t *stream, cy_http_status_codes_t status_code, uint32_t content_length, cy_http_cache_t cache_type, cy_http_mime_type_t mime_type)</argsstring>
        <name>http_response_stream_write_header</name>
        <param>
          <type><ref kindref="compound" refid="structcy__http__response__stream__t">cy_http_response_stream_t</ref> *</type>
          <declname>stream</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__http__server__struct_1gad1b0486d4ab51b5b1969e54aae1e5edd">cy_http_status_codes_t</ref></type>
          <declname>status_code</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>content_length</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__http__server__struct_1ga64b862dacedd67c3d74845c1a6038b89">cy_http_cache_t</ref></type>
          <declname>cache_type</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__http__server__struct_1gab6be7a35bfdbd62b763603d280dc4ee1">cy_http_mime_type_t</ref></type>
          <declname>mime_type</declname>
        </param>
        <briefdescription>
<para>Write HTTP header to the TCP stream provided. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">stream</parametername>
</parameternamelist>
<parameterdescription>
<para>: HTTP stream to write the header into </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">status_code</parametername>
</parameternamelist>
<parameterdescription>
<para>: HTTP status code </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">content_length</parametername>
</parameternamelist>
<parameterdescription>
<para>: HTTP content length to follow in bytes </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cache_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: HTTP cache type (enabled or disabled) </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mime_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: HTTP MIME type</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="141" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a1c092569ed367ec082e0c320e1d24979" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::http_response_stream_write</definition>
        <argsstring>(cy_http_response_stream_t *stream, const void *data, uint32_t length)</argsstring>
        <name>http_response_stream_write</name>
        <param>
          <type><ref kindref="compound" refid="structcy__http__response__stream__t">cy_http_response_stream_t</ref> *</type>
          <declname>stream</declname>
        </param>
        <param>
          <type>const void *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Write data to HTTP stream. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">stream</parametername>
</parameternamelist>
<parameterdescription>
<para>: HTTP stream to write the data into </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data</parametername>
</parameternamelist>
<parameterdescription>
<para>: Data to write </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>: Data length in bytes</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="152" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1ac6f99ff4a888494453553cdced6565b3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::http_response_stream_disconnect</definition>
        <argsstring>(cy_http_response_stream_t *stream)</argsstring>
        <name>http_response_stream_disconnect</name>
        <param>
          <type><ref kindref="compound" refid="structcy__http__response__stream__t">cy_http_response_stream_t</ref> *</type>
          <declname>stream</declname>
        </param>
        <briefdescription>
<para>Disconnect HTTP response stream. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">stream</parametername>
</parameternamelist>
<parameterdescription>
<para>: stream to disconnect</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="161" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a73a2c6a64d557e5656541b72f8ceb7a5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::http_disconnect_all_response_stream</definition>
        <argsstring>()</argsstring>
        <name>http_disconnect_all_response_stream</name>
        <briefdescription>
<para>Disconnect all HTTP stream in a server. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="168" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a6bed49ab05fa4223993b4129ae966e69" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::http_response_stream_flush</definition>
        <argsstring>(cy_http_response_stream_t *stream)</argsstring>
        <name>http_response_stream_flush</name>
        <param>
          <type><ref kindref="compound" refid="structcy__http__response__stream__t">cy_http_response_stream_t</ref> *</type>
          <declname>stream</declname>
        </param>
        <briefdescription>
<para>Flush HTTP stream. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">stream</parametername>
</parameternamelist>
<parameterdescription>
<para>: HTTP stream to flush</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="177" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a973632c22f7040c30d2a7162c2a3a236" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::http_get_query_parameter_value</definition>
        <argsstring>(const char *url_query, const char *key, char **value, uint32_t *value_length)</argsstring>
        <name>http_get_query_parameter_value</name>
        <param>
          <type>const char *</type>
          <declname>url_query</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>key</declname>
        </param>
        <param>
          <type>char **</type>
          <declname>value</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>value_length</declname>
        </param>
        <briefdescription>
<para>Search for a parameter (key-value pair) in a URL query string and return a pointer to the value. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">url_query</parametername>
</parameternamelist>
<parameterdescription>
<para>: URL query string </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">key</parametername>
</parameternamelist>
<parameterdescription>
<para>: Key or name of the parameter to find in the URL query string </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">value</parametername>
</parameternamelist>
<parameterdescription>
<para>: If the parameter with the given key is found, this pointer will point to the parameter value upon return; NULL otherwise </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">value_length</parametername>
</parameternamelist>
<parameterdescription>
<para>: This variable will contain the length of the parameter value upon return; 0 otherwise</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="189" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a05965ce0cf59ea53608650ff36a0edb8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::http_get_query_parameter_count</definition>
        <argsstring>(const char *url_query, uint32_t *count)</argsstring>
        <name>http_get_query_parameter_count</name>
        <param>
          <type>const char *</type>
          <declname>url_query</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>count</declname>
        </param>
        <briefdescription>
<para>Returns number of parameters found in the URL query string. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">url_query</parametername>
</parameternamelist>
<parameterdescription>
<para>: NULL terminated URL query string. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">count</parametername>
</parameternamelist>
<parameterdescription>
<para>: Parameter count.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes from <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="199" />
      </memberdef>
      <memberdef const="no" explicit="no" id="class_h_t_t_p_server_1a90253acc6cd8fcbdf4dd0c42743b26dc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t HTTPServer::http_match_query_parameter</definition>
        <argsstring>(const char *url_query, const char *parameter_key, const char *parameter_value)</argsstring>
        <name>http_match_query_parameter</name>
        <param>
          <type>const char *</type>
          <declname>url_query</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>parameter_key</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>parameter_value</declname>
        </param>
        <briefdescription>
<para>Match a URL query string contains a parameter with the given parameter key and value. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">url_query</parametername>
</parameternamelist>
<parameterdescription>
<para>: URL query string </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">parameter_key</parametername>
</parameternamelist>
<parameterdescription>
<para>: NUL-terminated key or name of the parameter to find in the URL query string </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">parameter_value</parametername>
</parameternamelist>
<parameterdescription>
<para>: NUL-terminated value of the parameter to find in the URL query string</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_rslt_t : CY_RSLT_SUCCESS - on success, error codes in <ref kindref="compound" refid="group__http__server__defines">Macros</ref> otherwise </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="210" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Definition of the HTTP server class object. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="214" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/HTTP_server.hpp" line="57" />
    <listofallmembers>
      <member prot="public" refid="class_h_t_t_p_server_1a73a2c6a64d557e5656541b72f8ceb7a5" virt="non-virtual"><scope>HTTPServer</scope><name>http_disconnect_all_response_stream</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1a05965ce0cf59ea53608650ff36a0edb8" virt="non-virtual"><scope>HTTPServer</scope><name>http_get_query_parameter_count</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1a973632c22f7040c30d2a7162c2a3a236" virt="non-virtual"><scope>HTTPServer</scope><name>http_get_query_parameter_value</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1a90253acc6cd8fcbdf4dd0c42743b26dc" virt="non-virtual"><scope>HTTPServer</scope><name>http_match_query_parameter</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1a72d96603c15870cd4d8a424e7e500c14" virt="non-virtual"><scope>HTTPServer</scope><name>http_response_stream_disable_chunked_transfer</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1ac6f99ff4a888494453553cdced6565b3" virt="non-virtual"><scope>HTTPServer</scope><name>http_response_stream_disconnect</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1a937e00e6f94294fcdb1aac15c1050a9a" virt="non-virtual"><scope>HTTPServer</scope><name>http_response_stream_enable_chunked_transfer</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1a6bed49ab05fa4223993b4129ae966e69" virt="non-virtual"><scope>HTTPServer</scope><name>http_response_stream_flush</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1a1c092569ed367ec082e0c320e1d24979" virt="non-virtual"><scope>HTTPServer</scope><name>http_response_stream_write</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1ac16d556a72c51030a4da8b4a959dfe40" virt="non-virtual"><scope>HTTPServer</scope><name>http_response_stream_write_header</name></member>
      <member prot="private" refid="class_h_t_t_p_server_1a33679d6801aa8e2cdfb9e7d585778c43" virt="non-virtual"><scope>HTTPServer</scope><name>http_server_obj</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1a447813075f8c93c5a18d09b964c441f2" virt="non-virtual"><scope>HTTPServer</scope><name>HTTPServer</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1a2b3c118e41b43e9b5a6b8ecc181a6c5b" virt="non-virtual"><scope>HTTPServer</scope><name>HTTPServer</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1a58eb80fb7f039210cc9d7040f0008232" virt="non-virtual"><scope>HTTPServer</scope><name>register_resource</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1a5f1e04f9dab07ce5a251ecd4aa822f13" virt="non-virtual"><scope>HTTPServer</scope><name>start</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1ae4d9963945a344e9f86e7dc74a4e9d6a" virt="non-virtual"><scope>HTTPServer</scope><name>stop</name></member>
      <member prot="public" refid="class_h_t_t_p_server_1af09066b05417f9a9ce9f1cd8e5ad9e18" virt="non-virtual"><scope>HTTPServer</scope><name>~HTTPServer</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>